The BOOST_PP_TUPLE_ELEM macro extracts an element from a tuple.

#### Usage

BOOST_PP_TUPLE_ELEM(size, i, tuple)

#### Arguments

size
  The size of the tuple. Valid tuple sizes range from 0 to BOOST_PP_LIMIT_TUPLE.
i
  The zero-based index into the tuple of the element to be extracted. Valid values range from 0 to size - 1.
tuple
  The tuple from which an element is to be extracted.

#### Remarks

The size argument must be the actual size of the tuple, and i must be less than the size of the tuple.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/elem.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/elem.hpp>

    #define TUPLE (a, b, c, d)

    BOOST_PP_TUPLE_ELEM(4, 0, TUPLE) // expands to a
    BOOST_PP_TUPLE_ELEM(4, 3, TUPLE) // expands to d